Bug 33410 - setup does not implement selected firewall settings
setup does not implement selected firewall settings
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: setup (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-27 11:35 EST by rodvold_david
Modified: 2014-03-16 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-27 11:35:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rodvold_david 2001-03-27 11:35:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Win98; U)


When running setup (as root) and changing firewall settings (to "No firewall" for example), the settings are not implemented on exit.  Rlogin and 
telnet from other machines are not accepted (nor is FTP).  Rebooting does not help.  Shutdown and setup messages (during reboot) seem to 
indicate that some default scripts are being used, and user settings are ignored

Reproducible: Always
Steps to Reproduce:
1.Open a terminal window, run setup, select firewall setup, choose "No Firewall," exit setup.
2.Attempt to rlogin or telnet from another machine.  Reboot.  Attempt to rlogin or telnet in again.
3.Run setup from a terminal window again, select firewall setup, inspect settings.
	

Actual Results:  All attempts to rlogin or telnet into the machine fail.
Running setup for a second time indicates that previous user choices were not recorded or implemented.

Expected Results:  Rlogin, telnet, and ftp connections should be accepted.
Setup should reflect user selections when run a second time.

Other network functions appear OK.  For example, the NFS partition I set up is available from other platforms, pings work as expected, etc.
Comment 1 Bill Nottingham 2001-03-27 11:36:58 EST
You most likely need to enable telnet, rsh/rlogin, and ftp service
in ntsysv or something similar. They aren't enabled by default.
Comment 2 Alexander Stohr 2001-07-30 13:00:00 EDT
I had the same effect after a textmode install.
The setup tool always marked the firewall at level "high".

The problem does exist as described!

Note You need to log in before you can comment on or make changes to this bug.